ExtrudeCurveTapered

Would be nice to have this available under Python Script too. Unclear to me why some methods are missing from Rhino.Python but present in Rhino.Script.
https://developer.rhino3d.com/api/rhinoscript/surface_and_polysurface_methods/extrudecurvetapered.htm

Is this what you’re looking for? Brep.CreateFromTaperedExtrude

I’m aware if it’s presence in Rhino.Common. My desire is for very lazy people like me to have it wrapped for Rhino.Python. Hence “would be nice to have”… :slight_smile:

1 Like

@VIZIBLE - a simple example:

import Rhino
import scriptcontext as sc

# Create the curve to the extrude
plane = Rhino.Geometry.Plane.WorldXY
circle = Rhino.Geometry.Circle(plane, 5.0)
curve = Rhino.Geometry.ArcCurve(circle)

# CreateFromTaperedExtrude parameters
dir = Rhino.Geometry.Vector3d.ZAxis
pt = plane.Origin
angle = Rhino.RhinoMath.ToRadians(20.0)
ctype = Rhino.Geometry.ExtrudeCornerType.None
tol = sc.doc.ModelAbsoluteTolerance
atol = sc.doc.ModelAngleToleranceRadians

# Just do it...
breps = Rhino.Geometry.Brep.CreateFromTaperedExtrude(curve, 5.0, dir, pt, angle, ctype, tol, atol)
if breps:
    for b in breps:
        sc.doc.Objects.AddBrep(b)
sc.doc.Views.Redraw()

– Dale

Dale, it’s very nice to post this, but I wonder why this would rather not be added to Rhino.Script and instead posted on a forum. Is Rhino.Script gradually abandoned in favour of RhinoCommon ? I’m sure more people would benefit from having this shipped with Rhino as an existing Rhino.Script method instead of picking it up from the forum.
Cheers!

Hi @VIZIBLE,

No, rhinoscriptsyntax is not being abandoned.

https://mcneel.myjetbrains.com/youtrack/issue/RH-79345

– Dale

2 Likes